g2bAPI Reference
Runs

Read run events

Long-polls the durable event log after a sequence cursor for resumable clients.

GET
/v1/runs/{id}/events

Long-polls the durable event log after a sequence cursor for resumable clients.

Authorization

bearerAuth
AuthorizationBearer <token>

Create an API key in g2b Settings, then send it as a Bearer token.

In: header

Path Parameters

id*string
Length1 <= length <= 256

Query Parameters

after?integer
Range0 <= value <= 9007199254740991
Default0
waitMs?integer
Range0 <= value <= 25000
Default20000

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/runs/string/events"
{  "events": [    {      "sequence": 1,      "chunk": null,      "created_at": "2019-08-24T14:15:22Z"    }  ],  "next_sequence": 0,  "status": "queued",  "terminal": true,  "error": {    "code": "string",    "message": "string",    "detail": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": "Unauthorized"}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}